// buttons component //

.component__button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    font-style: normal;
    white-space: nowrap;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
    grid-gap: 10px;
    border-radius: 8px;
}

.dark__button {
    background-color: $main-4;
    color: $main-8;
    padding: 12px 12px;

    &:hover {
        background-color: $main-8;
        color: $main-4;

        svg {
            .stroke {
                stroke: $main-4;
            }

            .fill {
                fill: $main-4;
            }
        }
    }
}

.black__button {
    background-color: $main-8;
    color: $main-0;
    width: max-content;
    padding: 16px;

    &:hover {
        background-color: $main-7;
        color: $main-0;
    }

    @media (max-width: 576px) {
        width: 100%;
    }
}

.light__button {
    border: 1px solid $main-4;
    background-color: $main-0;
    color: $main-8;
    padding: 16px 30px;
    height: fit-content;

    &:hover {
        border: 1px solid $main-8;
       
        svg {
            .stroke {
                stroke: $purple-1;
            }

            .fill {
                fill: $purple-1;
            }
        }
    }
}

.switch__button {
    background-color: $main-0;
    padding: 5px 12px;

    &:hover {
        background-color: $main-0;
    }
}

.switch__button--active {
    background-color: $main-8;
    color: $main-0;

    &:hover {
        background-color: $main-7;
    }
}

.edit {
    background-color: $main-0;
    padding: 5px;
    position: relative;
    transition: 0.3s ease;
}

.add-profile__button {
    padding: 16px;
    
    @media (max-width: 1280px) {
        padding: 13px;
    }

    @media (max-width: 768px) {
        width: 100%;
    }
}

.page-navigation__button {
    width: 48px;
    height: 48px;
    background-color: $main-0;
    color: $main-8;
    border: 1px solid $main-2;
    border-radius: 8px;

    @media (max-width: 576px) {
        width: 40px;
        height: 40px;
    }
}

.back__link {
    display: flex; 
   align-items: center;
   grid-gap: 8px;
   padding: 16px 0 32px;
   color: $main-8;
}

.show__button {
    padding-top: 16px;
    display: flex;
    @include f14w400M8;
}

.quantity-control__wrapper {
    display: flex;
    align-items: center;
    border: 1px solid $main-5;
    border-radius: 8px;
    background-color: $main-0;
    width: fit-content;
    overflow: hidden;

    .quantity-control__button {
        display: flex;
        justify-content: center;
        padding: 8px 4px;
        overflow: hidden;

        @media (max-width: 768px) {
            padding: 8px;
        }

        &:first-child {
            border-right: 1px solid $main-5;
            
            &:hover {
                background-color: $main-5;  
            }
        }

        &:last-child {
            border-left: 1px solid $main-5;

            &:hover {
                background-color: $main-5;  
            }
        }
    }

    .quantity-control__value {
        padding: 6px 17px;
    }

}

.card-wrapper__control {
    .quantity-control__button {
        padding: 6px 4px;
        overflow: hidden;
        justify-content: center;

        @media (max-width: 425px) {
            width: 80px;
        }
    }

    .quantity-control__value {
        padding: 6px 17px;
    }
}

.catalog__button {
    display: flex;
    align-items: center;
    grid-gap: 8px;
    background-color: $purple-1;
    color: $main-0;
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 24px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    width: 100%;
    padding: 8px;
    border-radius: 8px;

    &:hover {
        background-color: $purple-2;
    }
}

.offer__button {
    background-color: $main-0;
    color: $green-4;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    width: fit-content;
    padding: 8px;
    border-radius: 4px;

    @media (max-width: 1024px) {
        font-size: 9px;
        line-height: 11px;
    }
}

.notifications__button {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    color: $main-8;
    padding: 8px 12px;
    border: 1px solid $main-4;
    border-radius: 8px;

    &:hover {
        background-color: $main-8;
        border: 1px solid $main-8;
        color: $main-0;
    }
}

.scroll-up {
    position: fixed;
    display: flex;
    padding: 16px;
    border-radius: 8px;
    background-color: $purple-1;
    z-index: 3;
    bottom: 100px;
    right: 25px;
    transition: 0.3s ease;
    visibility: hidden;
    opacity: 0;
}

.scroll-up.active {
    visibility: visible;
    opacity: 1;

    &:hover {
        background-color: $purple-2;
    }
}

.modal__button {
    background-color: $main-0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 8px;
    height: 48px;
    border: 1px solid $main-4;
    border-radius: 8px;
    width: 100%;
    @include f13w400M6;
}

.download-selected {
    display: none;
}

.download-selected.active {
    display: flex;
}


.configure__button {
    &:hover {
        background-color: $main-7;
        color: $main-0;

        svg {
            .stroke {
                stroke: $main-0;
            }
        }
    }
}

.button__width {
    .component__button {
        max-width: 184px;
        width: 100%;
        flex: 1 1 50%;
        height: 50px;
    }
}

.buttons__control {
    display: flex;
    justify-content: space-between;
    grid-gap: 16px;
    margin-top: 22px;

    @media (max-width: 620px) {
        flex-direction: column;

        .button__width {
            .component__button {
                max-width: 100%;
            }
        }
    }

    @media (max-width: 425px) {
        flex-direction: column;
        grid-gap: 8px;

        .button__width {
            .component__button {
               height: 40px;
               padding: 16px;
               
                font-size: 14px;
                font-style: normal;
                font-weight: 400;
                line-height: 16px; /* 114.286% */
            }
        }
    }

    .button__width {
        display: flex;
        grid-gap: 16px;
    }
}

.apply__button {
    display: none;
}

.apply__button.active {
    display: flex;
}

.editing__button.hidden {
    display: none;
}


